## org.apache.cassandra.dht
Class Token.TokenSerializer

    java.lang.Object
      org.apache.cassandra.dht.Token.TokenSerializer

All Implemented Interfaces:
  ICompactSerializer2<Token>

Enclosing class:
  Token<T>

    public static class Token.TokenSerializer

extends java.lang.Object
implements ICompactSerializer2<Token>

Constructor Summary
`Token.TokenSerializer()`

Method Summary
`Token` `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` `serialize(Token token, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Token.TokenSerializer

    public Token.TokenSerializer()

Method Detail

### serialize

    public void serialize(Token token,
                          java.io.DataOutput dos)
                   throws java.io.IOException

  Description copied from interface: `ICompactSerializer2`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ICompactSerializer2<Token>`
  Parameters:
    `token` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public Token deserialize(java.io.DataInput dis)
                      throws java.io.IOException

  Description copied from interface: `ICompactSerializer2`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ICompactSerializer2<Token>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation